﻿
@using Microsoft.AspNetCore.Mvc.Localization
@model Infrastructure.ViewModels.Shared.MessagesViewModel
@inject IViewLocalizer Localizer
@{
    var culture = System.Globalization.CultureInfo.CurrentCulture.ToString();
}

<script type="text/javascript">
    var opened = true;
    function loadMessages(onLoad) {
        var messagesList = [@Html.Raw(Model.ListMessages)];
        if (messagesList.length == 0 && onLoad == false) {
            toastr.clear();
            return;
        } else {
            if (messagesList.length == 0) {
                return;
            } else {
                for (var i = 0; i < messagesList.length; i++) {
                    toastr.options.positionClass = "toast-bottom-right";
                    toastr.options.progressBar = true;
                    toastr.options.closeButton = true;
                    toastr.success(decodeURIComponent(messagesList[i]));
                }
            }
        }
    };

    $(document).ready(function () {
        loadMessages(true);
        $('#systemMessagesLink').click(function () {
            if (opened) {
                toastr.clear();
                opened = false;
            } else {
                opened = true;
                loadMessages(false);
            }
            return false;
        });
        if ($(".count-info .label-success").html() == "") {
            $(".count-info .label-success").css("display", "none");
        } else {
            $(".count-info .label-success").css("display", "block");
        }
    });
</script>

<div class="notificationButton" style="float: left; margin-right: 6px; margin-top: -3px; position: relative;">
    <a href="#" ID="systemMessagesLink" CssClass="count-info">
        <span class="label label-success"><i class="fa fa-bell"></i>@Model.CountMessages</span>
        
    </a>
</div>